<template>
    <div class="pokemon-view">
        <div class="pokemon-view__filters">
            <BaseInput
                input-name="Pokemon name"
                input-type="text"
                placeholder="Write a pokemon name."
                @input="setNameFilter"
            />
            <BaseSelect
                select-name="Pokemon Types"
                :options="pokemonTypes"
                @change="setTypeFilter"
            />
        </div>
        <PokemonList 
            class="pokemon-view__list"
            :pokemons="filteredPokemons" 
        />
    </div>
</template>

<script setup>
    import PokemonList from './PokemonList/PokemonList'; 
    import BaseInput from '@/components/base/BaseInput/BaseInput';
    import BaseSelect from '@/components/base/BaseSelect/BaseSelect';
    import usePokemonFilters from '@/app/Pokemons/composables/usePokemonFilters';

    const {
        filteredPokemons,
        pokemonTypes,
        setNameFilter,
        setTypeFilter
    } = usePokemonFilters();
</script>

<style src="./Pokemons.scss" lang="scss"></style>
